> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/console-export.md).

# Console Export

## GET /consoleExport

> List all console export files

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport":{"get":{"operationId":"findAll_1","responses":{"200":{"description":"Successful operation"},"401":{"description":"The user is not authenticated."}},"summary":"List all console export files","tags":["console-export"]}}}}
```

## POST /consoleExport

> Upload a console export file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport":{"post":{"operationId":"uploadConsoleExportFile","requestBody":{"content":{"*/*":{"schema":{"type":"object","properties":{"files[]":{"$ref":"#/components/schemas/FormDataBodyPart"},"key":{"type":"string","default":"","description":"The console export password"},"retentionDays":{"type":"integer","format":"int64","description":"Console Export retention days","enum":[7,30,60]}},"required":["files[]"]}}}},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportModel"}}},"description":"default response"}},"summary":"Upload a console export file","tags":["console-export"]}}},"components":{"schemas":{"FormDataBodyPart":{"type":"object","properties":{"content":{"type":"object"},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fileName":{"type":"string"},"formDataContentDisposition":{"$ref":"#/components/schemas/FormDataContentDisposition"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"name":{"type":"string"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"},"simple":{"type":"boolean"},"value":{"type":"string"}}},"ContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}},"FormDataContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}},"MultivaluedMapStringString":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"MediaType":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"subtype":{"type":"string"},"type":{"type":"string"},"wildcardSubtype":{"type":"boolean"},"wildcardType":{"type":"boolean"}}},"MessageBodyWorkers":{"type":"object"},"ParameterizedHeader":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"value":{"type":"string"}}},"MultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"BodyPart":{"type":"object","properties":{"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"Providers":{"type":"object"},"MultivaluedMapStringParameterizedHeader":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"ExportModel":{"type":"object","properties":{"consoleExportInformation":{"$ref":"#/components/schemas/ExportInformationModel"},"createdDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"inProgress":{"type":"boolean"},"key":{"type":"string"},"modifiedDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"stepStateMap":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/StepStateModel"}}}},"ExportInformationModel":{"type":"object","properties":{"appVersion":{"type":"string"},"consoleExportSpecificationId":{"type":"string","format":"uuid"},"createdByEmail":{"type":"string"},"date":{"type":"string","format":"date-time"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"expirationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32"}}},"StepStateModel":{"type":"object","properties":{"errorMessage":{"type":"string"},"status":{"type":"string","enum":["UNKNOWN","WAITING","RUNNING","COMPLETED","ERROR","CANCELLED"]}}}}}}
```

## POST /consoleExport/async

> Upload a console export file and process it asynchronously

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/async":{"post":{"operationId":"uploadConsoleExportAsyncValidation","requestBody":{"content":{"*/*":{"schema":{"type":"object","properties":{"files[]":{"$ref":"#/components/schemas/FormDataBodyPart"},"key":{"type":"string","default":"","description":"The console export password"},"retentionDays":{"type":"integer","format":"int64","description":"Console export retention days","enum":[7,30,60]}},"required":["files[]"]}}}},"responses":{"default":{"content":{"application/json":{}},"description":"default response"}},"summary":"Upload a console export file and process it asynchronously","tags":["console-export"]}}},"components":{"schemas":{"FormDataBodyPart":{"type":"object","properties":{"content":{"type":"object"},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"fileName":{"type":"string"},"formDataContentDisposition":{"$ref":"#/components/schemas/FormDataContentDisposition"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"name":{"type":"string"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"},"simple":{"type":"boolean"},"value":{"type":"string"}}},"ContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}},"FormDataContentDisposition":{"type":"object","properties":{"creationDate":{"type":"string","format":"date-time"},"fileName":{"type":"string"},"modificationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"parameters":{"type":"object","additionalProperties":{"type":"string"}},"readDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"type":{"type":"string"}}},"MultivaluedMapStringString":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"MediaType":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"subtype":{"type":"string"},"type":{"type":"string"},"wildcardSubtype":{"type":"boolean"},"wildcardType":{"type":"boolean"}}},"MessageBodyWorkers":{"type":"object"},"ParameterizedHeader":{"type":"object","properties":{"parameters":{"type":"object","additionalProperties":{"type":"string"}},"value":{"type":"string"}}},"MultiPart":{"type":"object","properties":{"bodyParts":{"type":"array","items":{"$ref":"#/components/schemas/BodyPart"}},"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"type":"object","additionalProperties":{"type":"array","items":{"type":"string"}},"properties":{"empty":{"type":"boolean"}}},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"$ref":"#/components/schemas/MultivaluedMapStringParameterizedHeader"},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"BodyPart":{"type":"object","properties":{"contentDisposition":{"$ref":"#/components/schemas/ContentDisposition"},"entity":{"type":"object"},"headers":{"$ref":"#/components/schemas/MultivaluedMapStringString"},"mediaType":{"$ref":"#/components/schemas/MediaType"},"messageBodyWorkers":{"$ref":"#/components/schemas/MessageBodyWorkers"},"parameterizedHeaders":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}},"parent":{"$ref":"#/components/schemas/MultiPart"},"providers":{"$ref":"#/components/schemas/Providers"}}},"Providers":{"type":"object"},"MultivaluedMapStringParameterizedHeader":{"type":"object","additionalProperties":{"type":"array","items":{"$ref":"#/components/schemas/ParameterizedHeader"}},"properties":{"empty":{"type":"boolean"}}}}}}
```

## POST /consoleExport/file/{id}

> Download a console export file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/file/{id}":{"post":{"operationId":"getFile_1","parameters":[{"description":"The console export id","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"key":{"type":"string","description":"The console export password"}}}}}},"responses":{"200":{"description":"Successful operation"},"401":{"description":"The user is not authenticated."},"404":{"description":"Not found"}},"summary":"Download a console export file","tags":["console-export"]}}}}
```

## DELETE /consoleExport/file/{id}

> Delete a console export file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/file/{id}":{"delete":{"operationId":"deleteConsoleExportFile","parameters":[{"description":"The ID of the console export file to delete","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"204":{"description":"Successful operation"},"401":{"description":"The user is not authenticated."},"404":{"description":"Not found"}},"summary":"Delete a console export file","tags":["console-export"]}}}}
```

## GET /consoleExport/file/{id}/link

> Get a link to download a console export file from cloud storage

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/file/{id}/link":{"get":{"operationId":"getDownloadLink_1","parameters":[{"description":"The console export id","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Successful operation"},"401":{"description":"The user is not authenticated."},"404":{"description":"Not found"}},"summary":"Get a link to download a console export file from cloud storage","tags":["console-export"]}}}}
```

## GET /consoleExport/id/{consoleExportId}

> Get a console export by ID

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/id/{consoleExportId}":{"get":{"operationId":"getById_2","parameters":[{"description":"The ID of the console export to retrieve","in":"path","name":"consoleExportId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"200":{"description":"Successful operation"},"401":{"description":"The user is not authenticated."},"404":{"description":"Not found"}},"summary":"Get a console export by ID","tags":["console-export"]}}}}
```

## POST /consoleExport/{environmentId}

> Create a console export file for the specified environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/{environmentId}":{"post":{"operationId":"createConsoleExport","parameters":[{"description":"The ID of the environment to create console export file","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportSpecificationModel"}}},"description":"The specification for the console export to create"},"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ExportModel"}}},"description":"The console export file has been created"},"401":{"description":"The user is not authenticated."},"403":{"description":"You do not have permission to perform this operation."},"404":{"description":"Environment could not be found"}},"summary":"Create a console export file for the specified environment","tags":["console-export"]}}},"components":{"schemas":{"ExportSpecificationModel":{"type":"object","properties":{"database":{"type":"string"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"key":{"type":"string"},"name":{"type":"string"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32","enum":[7,30,60]},"skipAppVersion":{"type":"boolean"}}},"ExportModel":{"type":"object","properties":{"consoleExportInformation":{"$ref":"#/components/schemas/ExportInformationModel"},"createdDate":{"type":"string","format":"date-time"},"id":{"type":"string","format":"uuid"},"inProgress":{"type":"boolean"},"key":{"type":"string"},"modifiedDate":{"type":"string","format":"date-time"},"size":{"type":"integer","format":"int64"},"stepStateMap":{"type":"object","additionalProperties":{"$ref":"#/components/schemas/StepStateModel"}}}},"ExportInformationModel":{"type":"object","properties":{"appVersion":{"type":"string"},"consoleExportSpecificationId":{"type":"string","format":"uuid"},"createdByEmail":{"type":"string"},"date":{"type":"string","format":"date-time"},"description":{"type":"string"},"dgcConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["CONFIGURATION","CUSTOMIZATIONS"]},"uniqueItems":true},"environmentId":{"type":"string","format":"uuid"},"expirationDate":{"type":"string","format":"date-time"},"name":{"type":"string"},"repoConsoleExportOptions":{"type":"array","items":{"type":"string","enum":["DATA","HISTORY"]},"uniqueItems":true},"retentionDays":{"type":"integer","format":"int32"}}},"StepStateModel":{"type":"object","properties":{"errorMessage":{"type":"string"},"status":{"type":"string","enum":["UNKNOWN","WAITING","RUNNING","COMPLETED","ERROR","CANCELLED"]}}}}}}
```

## GET /consoleExport/{environmentId}/globalState

> Get the global status of the current console export for the specified environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/{environmentId}/globalState":{"get":{"operationId":"isEnvironmentExporting","parameters":[{"description":"The ID of the environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"401":{"description":"The user is not authenticated."},"404":{"description":"Environment could not be found"}},"summary":"Get the global status of the current console export for the specified environment","tags":["console-export"]}}}}
```

## GET /consoleExport/{environmentId}/state

> Get the state of the current console export for the specified environment

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/{environmentId}/state":{"get":{"operationId":"getCurrentStateMap_1","parameters":[{"description":"The ID of the environment","in":"path","name":"environmentId","required":true,"schema":{"type":"string","format":"uuid"}}],"responses":{"401":{"description":"The user is not authenticated."},"404":{"description":"Environment could not be found"}},"summary":"Get the state of the current console export for the specified environment","tags":["console-export"]}}}}
```

## POST /consoleExport/{id}/consoleExportInformation

> Update name and/or description of an existing console export file

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/consoleExport/{id}/consoleExportInformation":{"post":{"operationId":"updateConsoleExportInformation","parameters":[{"description":"The ID of the console export file to update","in":"path","name":"id","required":true,"schema":{"type":"string","format":"uuid"}}],"requestBody":{"content":{"application/x-www-form-urlencoded":{"schema":{"type":"object","properties":{"description":{"type":"string","description":"The new description for the console export file"},"name":{"type":"string","description":"The new name for the console export file"}}}}}},"responses":{"200":{"description":"Successful operation"},"400":{"description":"Bad request"},"401":{"description":"The user is not authenticated."},"404":{"description":"Not found"}},"summary":"Update name and/or description of an existing console export file","tags":["console-export"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.collibra.com/api/references/console/console-export.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
